%define upstream_name    Swagger2
%define upstream_version 0.85

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    Artistic
Group:      Development/Perl
Summary:    module for generating, parsing and transforming swagger API specification
Url:        https://metacpan.org/pod/Swagger2
Source0:    https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Validator) >= 0.630.0
BuildRequires: perl(Mojolicious) >= 6.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings) >= 0.16.0
BuildRequires: perl-JSON-Validator
BuildRequires: perl-Mojolicious
BuildRequires: perl-Test-Warnings
%{?perl_default_filter}

%description
Module for generating, parsing and transforming swagger API specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%{make} test

%install
%{make_install}

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.850.0-2pclos2017
- rebuild against updates

